Revert "test/*: skip test if essential module not loaded"

This reverts commit b9d168b0e6.

This breaks kernels with builtin modules.
This commit is contained in:
illiliti 2021-07-31 21:17:17 +03:00
parent 015c0f3f0f
commit 189756fce2
3 changed files with 3 additions and 3 deletions

View File

@ -10,7 +10,7 @@ cleanup()
rm -rf "$tmpdir"
}
command -v cryptsetup > /dev/null && grep -q dm_crypt /proc/modules || exit 222
command -v cryptsetup > /dev/null || exit 222
set -ef
trap cleanup EXIT INT

View File

@ -10,7 +10,7 @@ cleanup()
rm -rf "$tmpdir"
}
command -v lvm > /dev/null && grep -q dm_mod /proc/modules || exit 222
command -v lvm > /dev/null || exit 222
set -ef
trap cleanup EXIT INT

View File

@ -9,7 +9,7 @@ cleanup()
rm -rf "$tmpdir"
}
command -v zfs > /dev/null && grep -q zfs /proc/modules || exit 222
command -v zfs > /dev/null || exit 222
set -ef
trap cleanup EXIT INT